GET
/control-plane/api/v1/v1/documentation/{organization_id}/{documentation_id}/version/{version_id}/section/{section_id}
Authentication
API Key (BearerAuth)
Header:
Authorization
Path Parameters
organization_idstringrequired
Organization ID
documentation_idstringrequired
Documentation ID
version_idstringrequired
Version ID
section_idstringrequired
Section ID
Responses
200
OK
Response Fields:
created_at(string)doc_entries(object[])icon(string)id(string)name(string)order(integer)prompt(string)slug(string)type(string)updated_at(string)version_id(string)visible(boolean)
Example:
{
"created_at": "string",
"doc_entries": [
{
"content": "string",
"created_at": "string",
"endpoint": "string",
"icon": "string",
"id": "string",
"metadata": {
"author": "string",
"author_avatar": "string",
"description": "string",
"last_edited_by": "string",
"published_at": "string",
"reading_time": 0,
"release": {
"html_url": "...",
"is_prerelease": "...",
"release_id": "...",
"tag_name": "..."
},
"tags": [
"..."
]
},
"metadata_visibility": {
"show_author": true,
"show_publish_date": true,
"show_reading_time": true,
"show_tags": true,
"show_update_date": true
},
"method": "GET",
"order": 0,
"parent_id": "string"
}
],
"icon": "string",
"id": "string",
"name": "string",
"order": 0,
"prompt": "string",
"slug": "string",
"type": "product_documentation",
"updated_at": "string",
"version_id": "string",
"visible": true
}400
Bad Request
Example:
{
"key": "value"
}404
Not Found
Example:
{
"key": "value"
}